   <button [disabled] = "!buttonStatus" (click) = "myEvent($event)">Button</button>


<div [class]="'red size20'">Test</div>
<div [className]="cssStrng">Test</div>

<div [class.red] = "flag">Test</div>
<div [className]="getClass()">getClass</div>

<div [ngClass] = "'texterror fontStyle'">ngClass Binding</div>

<div [ngClass] = "classBinding">ngClass Binding with single variable</div>


<h1 [style.color] = "'red'">Angular</h1>
<h2 [style.color] = "titleStyle">Style Binding</h2>
      <h2 [style.color] = "titleStyle_exist ? 'red': 'green'">Style Binding</h2>
      <h2 [ngStyle] = "titleStyles">Style Binding</h2>

<h1 [ngStyle]="{'font-size': '20px'}">Set Font size to 20px</h1>


<p [ngStyle]="{'color': 'purple',
               'font-size': '20px',
               'font-weight': 'bold'}">
     Multiple styles
</p>